<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:41 CET 2016 -->
<title>TaxData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TaxData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxZoneData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" target="_top">Frames</a></li>
<li><a href="TaxData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate</div>
<h2 title="Class TaxData.Builder" class="title">Class TaxData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate.TaxData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">TaxData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#active-java.lang.Boolean-">active</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#baseAmount-java.lang.String-">baseAmount</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the baseAmount value
 
 Description: Base Amount to be used for the calculation of the tax amount.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#businessPartnerTaxCategory-java.lang.String-">businessPartnerTaxCategory</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the businessPartnerTaxCategory value
 
 Description: Bussines Partner Tax Category as a Vendor</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#cascade-java.lang.Boolean-">cascade</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the cascade value
 
 Description: Any additional discount built upon the remaining total after applying previous
 discounts.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#country-java.lang.String-">country</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the country value
 
 Description: A state or a nation.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#deductableRate-java.lang.String-">deductableRate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the deductableRate value
 
 Description: Deductable Rate</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#defaultValue-java.lang.Boolean-">defaultValue</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the defaultValue value
 
 Description: A value that is shown whenever a record is created.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#description-java.lang.String-">description</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#destinationCountry-java.lang.String-">destinationCountry</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the destinationCountry value
 
 Description: The country receiving a shipment</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#destinationRegion-java.lang.String-">destinationRegion</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the destinationRegion value
 
 Description: The state/province inside of a country receiving the shipment.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#docTaxAmount-java.lang.String-">docTaxAmount</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the docTaxAmount value
 
 Description: Document tax amount calculation criteria</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#istaxdeductable-java.lang.Boolean-">istaxdeductable</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the istaxdeductable value
 
 Description: If active this rate will behave as a tax deductible rate no matter if the
 organization where used is tax deductible or not.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#lineNo-java.lang.String-">lineNo</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the lineNo value
 
 Description: A line stating the position of this request in the document.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#name-java.lang.String-">name</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the name value
 
 Description: A non-unique identifier for a record/document often used as a search tool.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#notTaxable-java.lang.Boolean-">notTaxable</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the notTaxable value
 
 Description: Check if it is not taxable</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#notTaxDeductable-java.lang.Boolean-">notTaxDeductable</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the notTaxDeductable value
 
 Description: Tax Not Deductible</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#organization-java.lang.String-">organization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#parentTaxRate-java.lang.String-">parentTaxRate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the parentTaxRate value
 
 Description: Parent Tax indicates a tax that is made up of multiple taxes</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#rate-java.lang.String-">rate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the rate value
 
 Description: The percentage to be multiplied by the source to arrive at the tax or exchange
 amount.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#region-java.lang.String-">region</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the region value
 
 Description: An area of a specific country.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#salesPurchaseType-java.lang.String-">salesPurchaseType</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the salesPurchaseType value
 
 Description: Sales Tax applies to sales situations Purchase Tax to purchase situations</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#summaryLevel-java.lang.Boolean-">summaryLevel</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the summaryLevel value
 
 Description: A means of grouping fields in order to view or hide additional information.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#taxBase-java.lang.String-">taxBase</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the taxBase value
 
 Description: Tax rate used as tax base amount for tax calculation</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#taxCategory-java.lang.String-">taxCategory</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the taxCategory value
 
 Description: A classification of tax options based on similar characteristics or attributes.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#taxSearchKey-java.lang.String-">taxSearchKey</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the taxSearchKey value
 
 Description: A fast method for finding a specific tax.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#validFromDate-java.lang.String-">validFromDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the validFromDate value
 
 Description: A parameter stating the starting time of a specified request.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html#withholdingTax-java.lang.Boolean-">withholdingTax</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the withholdingTax value
 
 Description: Is withholding tax</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="docTaxAmount-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>docTaxAmount</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;docTaxAmount(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the docTaxAmount value
 
 Description: Document tax amount calculation criteria</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The docTaxAmount value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="istaxdeductable-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>istaxdeductable</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;istaxdeductable(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the istaxdeductable value
 
 Description: If active this rate will behave as a tax deductible rate no matter if the
 organization where used is tax deductible or not.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The istaxdeductable value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="taxBase-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>taxBase</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;taxBase(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the taxBase value
 
 Description: Tax rate used as tax base amount for tax calculation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The taxBase value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="baseAmount-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>baseAmount</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;baseAmount(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the baseAmount value
 
 Description: Base Amount to be used for the calculation of the tax amount.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The baseAmount value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="notTaxable-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>notTaxable</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;notTaxable(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the notTaxable value
 
 Description: Check if it is not taxable</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The notTaxable value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="notTaxDeductable-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>notTaxDeductable</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;notTaxDeductable(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the notTaxDeductable value
 
 Description: Tax Not Deductible</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The notTaxDeductable value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="deductableRate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deductableRate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;deductableRate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the deductableRate value
 
 Description: Deductable Rate</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The deductableRate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="withholdingTax-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withholdingTax</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;withholdingTax(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the withholdingTax value
 
 Description: Is withholding tax</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The withholdingTax value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="cascade-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cascade</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;cascade(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the cascade value
 
 Description: Any additional discount built upon the remaining total after applying previous
 discounts.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The cascade value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="lineNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lineNo</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;lineNo(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the lineNo value
 
 Description: A line stating the position of this request in the document.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The lineNo value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="businessPartnerTaxCategory-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>businessPartnerTaxCategory</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;businessPartnerTaxCategory(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the businessPartnerTaxCategory value
 
 Description: Bussines Partner Tax Category as a Vendor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The businessPartnerTaxCategory value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="salesPurchaseType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>salesPurchaseType</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;salesPurchaseType(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the salesPurchaseType value
 
 Description: Sales Tax applies to sales situations Purchase Tax to purchase situations</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The salesPurchaseType value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="defaultValue-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>defaultValue</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;defaultValue(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the defaultValue value
 
 Description: A value that is shown whenever a record is created.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The defaultValue value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="taxSearchKey-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>taxSearchKey</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;taxSearchKey(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the taxSearchKey value
 
 Description: A fast method for finding a specific tax.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The taxSearchKey value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="rate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;rate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the rate value
 
 Description: The percentage to be multiplied by the source to arrive at the tax or exchange
 amount.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The rate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="validFromDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validFromDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;validFromDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the validFromDate value
 
 Description: A parameter stating the starting time of a specified request.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The validFromDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="summaryLevel-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>summaryLevel</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;summaryLevel(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the summaryLevel value
 
 Description: A means of grouping fields in order to view or hide additional information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The summaryLevel value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="organization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>organization</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;organization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The organization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="taxCategory-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>taxCategory</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;taxCategory(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the taxCategory value
 
 Description: A classification of tax options based on similar characteristics or attributes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The taxCategory value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="destinationRegion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>destinationRegion</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;destinationRegion(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the destinationRegion value
 
 Description: The state/province inside of a country receiving the shipment.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The destinationRegion value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="destinationCountry-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>destinationCountry</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;destinationCountry(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the destinationCountry value
 
 Description: The country receiving a shipment</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The destinationCountry value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="region-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>region</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;region(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the region value
 
 Description: An area of a specific country.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The region value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="country-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>country</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;country(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the country value
 
 Description: A state or a nation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The country value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="parentTaxRate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parentTaxRate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;parentTaxRate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the parentTaxRate value
 
 Description: Parent Tax indicates a tax that is made up of multiple taxes</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The parentTaxRate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="description-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;description(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The description value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="name-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;name(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the name value
 
 Description: A non-unique identifier for a record/document often used as a search tool.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The name value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="active-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>active</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData.Builder</a>&nbsp;active(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The active value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate">TaxData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxZoneData.html" title="class in com.openbravo.test.integration.erp.data.financial.accounting.setup.taxrate"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/financial/accounting/setup/taxrate/TaxData.Builder.html" target="_top">Frames</a></li>
<li><a href="TaxData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
